> For the complete documentation index, see [llms.txt](https://docs.panther.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.panther.com/ko/pantherflow/functions/databricks-functions.md).

# Databricks 함수

{% hint style="warning" %}
PantherFlow for Databricks는 Panther 버전 1.120부터 비공개 베타로 제공됩니다. 버그 보고와 기능 요청은 Panther 지원 팀에 공유해 주세요.
{% endhint %}

## `databricks.func()`

`databricks.func(func_name: string [, arg1: any, ... ]) -> any`

Databricks의 모든 함수를 호출합니다. 이 함수는 단순히 패스스루로 작동합니다.

{% hint style="warning" %}

#### 제한 사항

* 다음 `배열` 함수는 현재 기본 `ARRAY<STRING>` 형식의 데이터.
* Databricks는 SQL 쿼리 컴파일 시 명시적인 형식 지정을 요구합니다. 지정되지 않은 `VARIANT` 형식의 데이터는 오류를 일으킬 수 있습니다.
  {% endhint %}

**예:**

<pre class="language-kusto"><code class="lang-kusto">panther_logs.aws_alb
<strong>| project inCidr=databricks.func("ip_cidr_contains", "10.32.0.0/16", clientIp)
</strong></code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.panther.com/ko/pantherflow/functions/databricks-functions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
